
Ryzom - Bug # 848

Status: New Priority: Normal
Author: AllenJB Category: Build
Created: 05/07/2010 Assignee:
Updated: 01/08/2011 Due date:
Subject: Linux: code/nel/src/Rules.mk refers to "../gen_deps.sh", which does not exist
Description

line 51 of code/nel/src/Rules.mk refers to "../gen_deps.sh", which does not exist. Changing this to "gen_deps.sh" fixes the issue.

History
#1 - 05/07/2010 10:41 pm - AllenJB

Seems I misdiagnosed the issue. It's being caused in by the value of RYZOM_PATH in code/ryzom/Variables.mk.

Currently investigating whether this file is generated. But changing the value definitely resolves the issue I had.
The log output for this issue was:
    -  BUILD NELNS SUCCESS !

    -  BUILD NELNS INSTALL SUCCESS !

/bin/sh: /home/allen/code/ryzom/gen_deps.sh: No such file or directory
make2: * [update] Error 127
make1:  [game_share-update] Error 2
make: ** [update] Error 2

#2 - 05/09/2010 02:47 pm - thorbjorn

The problem here might be that the file code/ryzom/gen_deps.sh uses DOS instead of UNIX line endings. This doesn't really work for shell scripts.

#3 - 05/18/2010 10:25 am - vl
- Target version set to Version 0.8.0

#4 - 01/08/2011 06:43 pm - kervala
- Target version deleted (Version 0.8.0)
